Update Loyalty Rule Chain
Update a loyalty rule chain
Authorizations
API key passed in the header.
Path Parameters
Query Parameters
Body
Body
namestringrequiredloyaltyRuleIdstring<uuid>requiredUnique identifier for the loyalty rule
operatorType"AND" | "OR"Type of the condition. AND if all conditions must be met, OR if any condition can be met.
"AND" | "OR""AND"loyaltyConditionsarray<object>requiredArray of conditions for the rule chain
>= 1 elementsloyaltyConditions.type"rule" | "rules" | "points" | "badge" | "badges"The type of rule
"rule" | "rules" | "points" | "badge" | "badges"loyaltyConditions.descriptionstringThe description of the rule
loyaltyConditions.amountnumberThe amount of the rule
loyaltyConditions.repeatCountnumberThe number of times the rule should be repeated to fulfill the condition
loyaltyConditions.requiredCountnumberThe number of rules that need to be fulfilled to satisfy the condition
loyaltyConditions.loyaltyRuleChainIdstring<uuid>UUID of the loyalty rule chain (optional, converted to lowercase)
loyaltyConditions.loyaltyRuleIdsarray<string<uuid>>Array of UUIDs of the rules (optional, converted to lowercase)
loyaltyConditions.loyaltyRuleGroupIdsarray<string<uuid>>Array of UUIDs of the rule group (optional, converted to lowercase)
loyaltyConditions.loyaltyLeaderboardViewIdsarray<string<uuid>>Array of UUIDs of the Loyalty Leaderboard (optional, converted to lowercase)
loyaltyConditions.loyaltyCurrencyIdsarray<string<uuid>>Array of UUIDs of the currency (optional, converted to lowercase)
loyaltyConditions.loyaltyBadgeIdsarray<string<uuid>>Array of UUIDs of the badge (optional, converted to lowercase)
loyaltyConditions.csvUrlstring<uri>URL of the CSV file (optional)
Response
200
dataobjectrequired